summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Matthew Miller2019-03-13 02:25:42 +0100
committer Willy Sudiarto Raharjo2019-03-16 00:53:22 +0100
commit1ba1b50b1856459d915ea26ebcb273be83a76539 (patch)
tree5b79e9c36cee818d4d3094882ea739a643b1ca42 /multimedia
parent4631b03d571aa8dd5cb4a4bf291fbf5aadbf152d (diff)
downloadslackbuilds-1ba1b50b1856459d915ea26ebcb273be83a76539.tar.gz
multimedia/strawberry: Added (fork of Clementine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/strawberry/README5
-rw-r--r--multimedia/strawberry/doinst.sh9
-rw-r--r--multimedia/strawberry/slack-desc19
-rw-r--r--multimedia/strawberry/strawberry.SlackBuild105
-rw-r--r--multimedia/strawberry/strawberry.info10
5 files changed, 148 insertions, 0 deletions
diff --git a/multimedia/strawberry/README b/multimedia/strawberry/README
new file mode 100644
index 0000000000..9f982b9b9f
--- /dev/null
+++ b/multimedia/strawberry/README
@@ -0,0 +1,5 @@
+Strawberry is a audio player and music collection organizer. It is a
+ fork of Clementine released in 2018 aimed at music collectors, audio
+ enthusiasts and audiophiles. The name is inspired by the band
+ Strawbs. It's based on a heavily modified version of Clementine
+ created in 2012-2013. It's written in C++ and Qt 5.
diff --git a/multimedia/strawberry/doinst.sh b/multimedia/strawberry/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/multimedia/strawberry/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/strawberry/slack-desc b/multimedia/strawberry/slack-desc
new file mode 100644
index 0000000000..68f01aadbf
--- /dev/null
+++ b/multimedia/strawberry/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+strawberry: strawberry (fork of Clementine)
+strawberry:
+strawberry: Strawberry is a audio player and music collection organizer. It is a
+strawberry: fork of Clementine released in 2018 aimed at music collectors, audio
+strawberry: enthusiasts and audiophiles. The name is inspired by the band
+strawberry: Strawbs. It's based on a heavily modified version of Clementine
+strawberry: created in 2012-2013. It's written in C++ and Qt 5.
+strawberry:
+strawberry:
+strawberry: https://www.strawbs.org/
+strawberry:
diff --git a/multimedia/strawberry/strawberry.SlackBuild b/multimedia/strawberry/strawberry.SlackBuild
new file mode 100644
index 0000000000..caf98b5250
--- /dev/null
+++ b/multimedia/strawberry/strawberry.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for strawberry
+
+# Copyright 2019 Matthew Miller <mattallmill@gmail.com>
+# All rights reserved.
+#
+# Modified from the SlackBuild for clementine Copyright 2010 David Woodfall <dave@tty1.uk>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=strawberry
+VERSION=${VERSION:-0.5.2.52.g835b589}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p strawberry-build
+cd strawberry-build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ ..
+
+ make all CFLAGS="-fPIC" PMFLAGS="-DNEWBUFFER"
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man/ $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Changelog README.md $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/strawberry/strawberry.info b/multimedia/strawberry/strawberry.info
new file mode 100644
index 0000000000..269e3a0b77
--- /dev/null
+++ b/multimedia/strawberry/strawberry.info
@@ -0,0 +1,10 @@
+PRGNAM="strawberry"
+VERSION="0.5.2.52.g835b589"
+HOMEPAGE="https://www.strawbs.org/"
+DOWNLOAD="https://builds.strawbs.net/source/strawberry-0.5.2.52.g835b589.tar.xz"
+MD5SUM="79fde5bed187c1a688c5ad0f131e2d71"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="chromaprint protobuf cryptopp qt5"
+MAINTAINER="Matthew Miller"
+EMAIL="mattallmill@gmail.com"